libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Structures | Functions
desc_registration_id.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the registration descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures
struct | dvb_desc_registration
| Struct containing the frequency list descriptor. More...

## Functions
int | dvb_desc_registration_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the registration descriptor. More...
void | dvb_desc_registration_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the registration descriptor. More...
void | dvb_desc_registration_free (struct dvb_desc *desc)
| Frees all data allocated by the registration descriptor. More...

## Detailed Description

Provides the descriptors for the registration descriptor.

This descriptor provides the format information for an Elementary Stream.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Relevant specs
  The descriptor described herein is defined at:
  - ISO/IEC 13818-1

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_registration_id.h.